# Class Mx1Package

java.lang.Object
com.io7m.montarre.xml.internal.v1.Mx1Package

All Implemented Interfaces:
  `com.io7m.blackthorne.core.BTElementHandlerType<MPackageElementType, MPackageDeclaration>`

public final class Mx1Package extends Object implements com.io7m.blackthorne.core.BTElementHandlerType<MPackageElementType, MPackageDeclaration>
A parser.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Mx1Package(com.io7m.blackthorne.core.BTElementParsingContextType context)`
  A parser.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<com.io7m.blackthorne.core.BTQualifiedName, com.io7m.blackthorne.core.BTElementHandlerConstructorType<?, ? extends MPackageElementType>>`
  `onChildHandlersRequested(com.io7m.blackthorne.core.BTElementParsingContextType context)`
  `void`
  `onChildValueProduced(com.io7m.blackthorne.core.BTElementParsingContextType context, MPackageElementType result)`
  `MPackageDeclaration`
  `onElementFinished(com.io7m.blackthorne.core.BTElementParsingContextType context)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.blackthorne.core.BTElementHandlerType

  `map, name, onCharacters, onElementStart, onShouldIgnoreUnrecognizedElements`

- ## Constructor Details

  - ### Mx1Package

    public Mx1Package(com.io7m.blackthorne.core.BTElementParsingContextType context)
    A parser.
    Parameters:
      `context` - The context

- ## Method Details

  - ### onChildHandlersRequested

    public Map<com.io7m.blackthorne.core.BTQualifiedName, com.io7m.blackthorne.core.BTElementHandlerConstructorType<?, ? extends MPackageElementType>> onChildHandlersRequested(com.io7m.blackthorne.core.BTElementParsingContextType context)
    Specified by:
      `onChildHandlersRequested` in interface `com.io7m.blackthorne.core.BTElementHandlerType<MPackageElementType, MPackageDeclaration>`

  - ### onChildValueProduced

    public void onChildValueProduced(com.io7m.blackthorne.core.BTElementParsingContextType context, MPackageElementType result)
    Specified by:
      `onChildValueProduced` in interface `com.io7m.blackthorne.core.BTElementHandlerType<MPackageElementType, MPackageDeclaration>`

  - ### onElementFinished

    public MPackageDeclaration onElementFinished(com.io7m.blackthorne.core.BTElementParsingContextType context)
    Specified by:
      `onElementFinished` in interface `com.io7m.blackthorne.core.BTElementHandlerType<MPackageElementType, MPackageDeclaration>`